[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#639531: cpp-4.6: lto plugin adds dependency on gcc



Package: cpp-4.6
Version: 4.6.1-8

I believe LTO was recently enabled, which seems to require
liblto_plugin.so to be available. If I have cpp-4.6 installed, but not
gcc, cpp complains:

$ xrdb .Xresources
cpp: fatal error: -fuse-linker-plugin, but liblto_plugin.so not found
compilation terminated.

When running cpp manually, it does appear to properly preprocess what it
is given, but it produces that message on stderr, and exits with an
error code of 4:

$ cpp <<EOF
> #define FOO 5
> int foo = FOO;
> EOF
# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "<stdin>"

int foo = 5;
cpp: fatal error: -fuse-linker-plugin, but liblto_plugin.so not found
compilation terminated.
$ echo $?
4

Installing gcc-4.6 (which contains liblto_plugin.so) makes this go away.

Feel free to reassign to a different package as needed; I know nothing
about LTO so I don't actually know who is at fault.

-- 
Andrew Deason
adeason@dson.org



Reply to: